.cookie-banner{
	font-family: arial;
}

.cookie-banner-button-container button, .cookie-popup-footer button, button.toggle_cookie_items_show{
	all: initial;
	font-family: inherit;
	text-align:center;
	padding: 1em;
	margin: 0 0.5em;
	background-color: #c1def5;
	border-radius: 0.5em;
	-webkit-transition: background-color 0.25s, color 0.25s;
	transition: background-color 0.25s, color 0.25s;
}

.cookie-banner-button-container button:hover, .cookie-popup-footer button:hover, button.toggle_cookie_items_show:hover{
	background-color: #037adb;
	color: #ffffff;
	cursor: pointer;
}

.cookie-popup-header button{
	all: initial;
	margin: 2.5rem
}

.cookie-popup-header h2{
	margin: auto 1rem;
}

.cookie-popup-header button:hover{
	background-color:inherit;
	cursor: pointer;
	color: red;
}

button.toggle_cookie_items_show{
	all: initial;
	font-family: inherit;
	text-align:center;
	padding: 0.5em;
	background-color: #c1def5;
	border-radius: 0.5em;
	-webkit-transition: background-color 0.25s, color 0.25s;
	transition: background-color 0.25s, color 0.25s;
}

.cookie-banner-dark-filter{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 50%);
    z-index: 2147483644;
}

.cookie-banner-container{
    position: fixed;
    display: flex;
    flex-direction: column;
    background-color: white;
    right: 0;
    bottom: 0;
    width: 100%;
    border: 1px solid black;
    z-index: 2147483645;
}

.cookie-banner-text{
    padding-left: 2em;
    padding-right: 2em;
    margin-bottom: 0.5em;
}

.cookie-banner-text a{
	color: rgb(51, 122, 183);
}

.cookie-banner-text a:hover{
	color: rgb(35, 82, 124);
}

.cookie-banner-text-big
{
    margin-top: 0.25em;
    margin-bottom: 0.25em;
}

.cookie-banner-button-container{
    width: stretch;
    display: flex;
    margin-top: 1em;
    margin-bottom: 1em;
    justify-content: center;
}

.cookie-banner-popup[hidden]{
	display:none;
}

.cookie-banner-popup
{
    background-color: white;
    position: fixed;
	display: flex;
	flex-flow: column;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-width: 700px;
    height: 70%;
    z-index: 2147483647;
    border: 1px solid black;
	border-radius: 1rem;
}

.cookie-popup-header{
	flex: none;
    display: flex;
    padding-left: 1rem;
    justify-content: space-between;
	border-bottom: 1px solid black;
}

.cookie-popup-category-header{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.cookie-popup-content{
	flex: auto;
	height: 100%;
	overflow-x: hidden;
	overflow-y: scroll;
}

.cookie-popup-footer{
	padding: 1rem;
	flex: none;
    display: flex;
    align-items: center;
    justify-content: end;
	border-top: 1px solid black;
}

.cookie-popup-category-entry{
	display: flex;
	flex-direction:column;
    border: 2px solid gray;
	border-radius: 1rem;
    padding: 1em;
	margin: 1em;
}

.cookie-popup-items{
	background-color: #eeeeee;
	border: 1px solid gray;
	border-bottom: 0;
	border-radius: 0.5em 0.5em 0 0;
}

.cookie-popup-items:not([hidden]) + button.toggle_cookie_items_show{
	border-radius: 0 0 0.5em 0.5em;
	border: 1px solid gray;
	border-top: 0;
}


.cookie-popup-item-entry{
    padding: 0.5em;
}
.cookie-popup-item-entry table, .cookie-popup-item-entry tr, .cookie-popup-item-entry td
{
	all: initial;
	font-family: inherit;
	font-size: 12px;
}

.cookie-popup-item-entry table{
	display: table;
	border: 2px solid gray;
	border-collapse: collapse;
	width: calc(100% - 2px);
}

.cookie-popup-item-entry tr{
	display: table-row;
}

.cookie-popup-item-entry tr:hover>td{
	background-color: inherit;
}

.cookie-popup-item-entry td{
	display: table-cell;
	border: 1px solid #bbbbbb;
	padding: 0.25rem 0.5rem;
}

.cookie-popup-item-entry td:first-child{
	width: 8em;
}

@media (min-width:900px)
{
    .cookie-banner-container{
        flex-direction: row;
    }
    .cookie-banner-button-container{
        width: 35%;
        margin-top: auto;
        margin-bottom: auto;
    }
    .cookie-banner-text{
        width: calc(65% - 4em);
    }
}

.switch {
  position: relative;
  display: inline-block;
  width: 36px;
  height: 20px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #b4b4b4;
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 14px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 14px;
  width: 14px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: #037adb;
}

input:disabled + .slider {
  opacity: 0.5;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(16px);
  -ms-transform: translateX(16px);
  transform: translateX(16px);
}